FREE(1)

NAME
free - Display amount of free and used memory in the system

SYNOPSIS
free [-b|-k|-m|-g] [-c count] [-l] [-o] [-t] [-s delay] [-V]

DESCRIPTION
free displays the total amount of free and used physical and swap memory in the system, as well as the buffers used by the kernel. The shared memory column should be ignored; it is obsolete.

  OPTIONS

-b  Display the amount of memory in bytes.

-c count
    Display the result count times. Requires the -s option.

-g  Display the amount of memory in gigabytes.

-k  Display the amount of memory in kilobytes. This is the default.

-l  Show detailed low and high memory statistics.

-m  Display the amount of memory in megabytes.

-o  Display the output in old format, the only difference being this option will disable the display of the "buffer adjusted" line.

-s  Continuously display the result delay seconds apart. You may actually specify any floating point number for delay, usleep(3) is used for microsecond resolution delay times.

-t  Display a line showing the column totals.

-V  Display version information.

FILES
/proc/meminfo memory information

AUTHORS
Written by Brian Edmonds. Send bug reports to <albert@users.sf.net>

SEE ALSO
ps(1), slabtop(1), top(1), vmstat(8).